package com.caliverse.admin.dynamodb.domain.doc;

import com.caliverse.admin.global.common.constants.DynamoDBConstants;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import software.amazon.awssdk.enhanced.dynamodb.mapper.annotations.DynamoDbAttribute;
import software.amazon.awssdk.enhanced.dynamodb.mapper.annotations.DynamoDbBean;

@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@DynamoDbBean
public class BlockUserDoc extends DynamoDBDocBase {
    private String blockUserAttrib;

    public String getAttribFieldName() {
        return DynamoDBConstants.ATTRIB_BLOCK_USER;
    }

    @DynamoDbAttribute(DynamoDBConstants.ATTRIB_BLOCK_USER)
    @JsonProperty(DynamoDBConstants.ATTRIB_BLOCK_USER)
    public String getAttribValue() {
        return blockUserAttrib;
    }

    public void setAttribValue(String value) {
        this.blockUserAttrib = value;
    }
}

